Note: This is a beta release of Red Hat Bugzilla 5.0. The data contained within is a snapshot of the live data so any changes you make will not be reflected in the production Bugzilla. Also email is disabled so feel free to test any aspect of the site that you want. File any problems you find or give feedback here.
Bug 161995 - kernel panic when rm -rf directory structure on tmpfs filesystem
Summary: kernel panic when rm -rf directory structure on tmpfs filesystem
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: kernel
Version: 4.0
Hardware: x86_64
OS: Linux
medium
high
Target Milestone: ---
: ---
Assignee: Kernel Maintainer List
QA Contact: Brian Brock
URL:
Whiteboard:
Depends On:
Blocks: 156322
TreeView+ depends on / blocked
 
Reported: 2005-06-28 23:03 UTC by Brandon Casey
Modified: 2007-11-30 22:07 UTC (History)
0 users

Fixed In Version: RHSA-2005-514
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2005-10-05 13:37:22 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
Red Hat Product Errata RHSA-2005:514 qe-ready SHIPPED_LIVE Important: Updated kernel packages available for Red Hat Enterprise Linux 4 Update 2 2005-10-05 04:00:00 UTC

Description Brandon Casey 2005-06-28 23:03:47 UTC
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.3) Gecko/20040922

Description of problem:
Quad processor AMD64 server 16GB memory

~8GB (1/2 of remaining memory) tmpfs filesystem mounted on /tmp

-Normal user copied an approximately 30MB directory hierarchy into /tmp.
 cd /tmp
 ls /home/foouser/foodir
    file file dir dir file dir etc.
 cp -rpd /home/foouser/foodir/ .
 rm -rf foodir
 *panic*

after reboot, repeatable.


Version-Release number of selected component (if applicable):
kernel-smp-2.6.9-11.EL

How reproducible:
Always

Steps to Reproduce:
1.cd /tmp
2.cp -rpd <directory_path>/foo/ .
3.rm -rf foo
4.profi^H^H^H^Hanic
  

Actual Results:  kernel panic

Expected Results:  directories/files deleted, no kernel panic

Additional info:

Comment 1 Jason Baron 2005-06-29 20:43:32 UTC

*** This bug has been marked as a duplicate of 158956 ***

Comment 2 Jason Baron 2005-07-28 03:12:52 UTC
Hi Brandon,

we've commited a fix to the u2 update stream. Could you please verify that it
fixes the panic. The kernel is at: http://people.redhat.com/~jbaron/rhel4/

thanks,

-Jason

Comment 3 Brandon Casey 2005-07-28 18:34:29 UTC
(In reply to comment #2)
> Hi Brandon,
> 
> we've commited a fix to the u2 update stream. Could you please verify that it
> fixes the panic. The kernel is at: http://people.redhat.com/~jbaron/rhel4/
> 
> thanks,
> 
> -Jason

Jason,

It works.

I am no longer able to reproduce the kernel panic. We have re-created our
operational tmpfs filesystem and it will get some thorough usage...so I'll let
you know if we run into any problems <smirk>

Thank you for your excellent help.

-brandon

Comment 4 Red Hat Bugzilla 2005-10-05 13:37:22 UTC
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-514.html



Note You need to log in before you can comment on or make changes to this bug.